from flask import Flask, render_template

import repos

app = Flask(__name__)


@app.route('/')
def hello_world():
    return '<a href="/badge/rust.svg">sample badge for Rust</a>'


@app.route('/badge/<package>.svg')
def badge(package: str):
    return render_template('badge.svg.jinja', versions=repos.get_versions(package))


if __name__ == '__main__':
    app.run()
